package com.sun.org.apache.xml.internal.security.signature;

import org.w3c.dom.Node;
import com.sun.org.apache.xml.internal.security.exceptions.XMLSecurityException;
import org.w3c.dom.Element;
import org.w3c.dom.Document;
import com.sun.org.apache.xml.internal.security.utils.SignatureElementProxy;

public class ObjectContainer extends SignatureElementProxy
{
    public ObjectContainer(Document doc) {
        super(doc);
    }
    
    public ObjectContainer(Element element, String baseURI) throws XMLSecurityException {
        super(element, baseURI);
    }
    
    public void setId(String value) {
        if (value != null) {
            this.setLocalIdAttribute("Id", value);
        }
    }
    
    public String getId() {
        return this.getLocalAttribute("Id");
    }
    
    public void setMimeType(String value) {
        if (value != null) {
            this.setLocalAttribute("MimeType", value);
        }
    }
    
    public String getMimeType() {
        return this.getLocalAttribute("MimeType");
    }
    
    public void setEncoding(String value) {
        if (value != null) {
            this.setLocalAttribute("Encoding", value);
        }
    }
    
    public String getEncoding() {
        return this.getLocalAttribute("Encoding");
    }
    
    public Node appendChild(Node toAppend) {
        this.appendSelf(toAppend);
        return toAppend;
    }
    
    @Override
    public String getBaseLocalName() {
        return "Object";
    }
}
